/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.logging;

import java.util.logging.*;

/**
 *
 * @author Timon Veenstra
 */
public class SystemLogController extends Handler {

    private static final SystemLogController instance = new SystemLogController();

    public static SystemLogController getInstance() {
        return instance;
    }

    private SystemLogController() {
        setLevel(Level.ALL);
//        setFilter(new Filter() {
//
//            @Override
//            public boolean isLoggable(LogRecord lr) {
//                String loggerName = lr.getSourceClassName();
//                if (loggerName != null && loggerName.startsWith("nl.cloudfarming.client")){
//                    return false;
//                }
//                return false;
//            }
//        });
        
        setFormatter(new SimpleFormatter());
    }

    @Override
    public void publish(LogRecord record) {
        if (isLoggable(record)) {
            if (record.getLevel() == Level.SEVERE) {
                System.err.print(getFormatter().format(record));
            } else {
                System.out.print(getFormatter().format(record));
            }
        }
    }

    @Override
    public void flush() {
    }

    @Override
    public void close() throws SecurityException {
    }
}
